### Method

# Adw Leafletget_transition_type

deprecated: 1.4

#### Declaration [src]

    AdwLeafletTransitionType
    adw_leaflet_get_transition_type (
      AdwLeaflet* self
    )

#### Description [src]

Gets the type of animation used for transitions between modes and children.

Deprecated since: 1.4

See the migration guide

Gets property | `Adw.Leaflet:transition-type`

#### Return value

Type: `AdwLeafletTransitionType`

The current transition type of `self`.